Bug 151927 - Install CD and KS tree with different arch still "works"
Install CD and KS tree with different arch still "works"
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
Blocks: FC4Blocker
  Show dependency treegraph
Reported: 2005-03-23 12:16 EST by Björn Augustsson
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-18 15:43:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Björn Augustsson 2005-03-23 12:16:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20040922

Description of problem:
I was installing a Dell PE 2850 (x86_64 capable) using the boot-from-cd,"linux ks=floppy",-rest-of-tree-over-http method and happened to tell it (in the kickstart file) to use the i386 install tree. (I booted off of the right CD though, x86_64.)

It worked, sort of. The machine came up, ran fairly well, but any interaction with RPM would cause long delays and endless streams of error messages. 

I know (having tried that one, too) that it will complain if you try to install eg. RHEL 3 update 4 (KS tree) off of an update 3 CD, and this seems like it should be prevented as well. It was a while before I figured out what the problem was. The box could even register with RHN, but I got strange info abou which packages to upgrade.

Version-Release number of selected component (if applicable):
RHEL 4, no updates.

How reproducible:

Steps to Reproduce:
1. Boot from x86_64 RHEL4 cd
2. "linux ks=floppy" with a kickstart file with an "url" line pointing out a 386 install tree

Actual Results:  Severly screwed up machine.

Expected Results:  An error message, much like the one you get when using the wrong update 
cd to boot from.

Additional info:

Low priority, I know, but seems like an easy fix, and it wasn't easy 
to figure out what caused all the problems.
Comment 2 Jeremy Katz 2005-05-18 15:43:07 EDT
Fixed for FC4 and will be in a future RHEL release.

Note You need to log in before you can comment on or make changes to this bug.